Boostrap Vector Map

Bootstrap vector map plugin

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap Vector Map plugin helps you to show beautiful, scalable maps of the world, continents and countries. Easy to use, setup and customize. No API key needed - no hussle.


Basic example

By default, the vector map plugin will be load up Miller cylindrical projection of the world with plain, greyscale palette.

        
            
          <div id="world-map" style="height: 300px;"></div>
        
        
    
        
            
          $('#world-map').vectorMap();
        
        
    

API

Here you will find some more details about how to set up a vector map. Its basic form is as simple as as using a .vectorMap() method on a jQuery element object. In more advanced use cases you might want to learn some more about the jvm constructor object and its features.

Options

Let's start off with parametes, that that can be passed in as an initialization option object. By default, this object looks like this, which should give you some idea about what is customizable out-of-the box:

        
            
            jvm.WorldMap.defaultParams = {
              map: 'world_mill',
              backgroundColor: '#505050',
              zoomButtons: true,
              zoomOnScroll: true,
              zoomMax: 8,
              zoomMin: 1,
              zoomStep: 1.6,
              regionsSelectable: false,
              markersSelectable: false,
              bindTouchEvents: true,
              regionStyle: {
                initial: {
                  fill: 'white',
                  "fill-opacity": 1,
                  stroke: 'none',
                  "stroke-width": 0,
                  "stroke-opacity": 1
                },
                hover: {
                  "fill-opacity": 0.8
                },
                selected: {
                  fill: 'yellow'
                },
                selectedHover: {
                }
              },
              markerStyle: {
                initial: {
                  fill: 'grey',
                  stroke: '#505050',
                  "fill-opacity": 1,
                  "stroke-width": 1,
                  "stroke-opacity": 1,
                  r: 5
                },
                hover: {
                  stroke: 'black',
                  "stroke-width": 2
                },
                selected: {
                  fill: 'blue'
                },
                selectedHover: {
                }
              }
            };
        
    

Colors

Naturally, there are at least two ways to color things up. Firstly, to decide on all the regions color, through regionStyle.initial.fill property of the option object. Secondly, series.regions.values object helps to define colors and shades on region-to-region basis. The regions codes are easy to look up in the map file, while the string is a hex color code.

        
            
                <div id="color-map" style="height: 300px;"></div>
              
        
    
        
            
                $('#color-map').vectorMap({
                  backgroundColor: '#573E8A',
                  regionStyle: {
                    initial: {
                        fill: '#cbced4'
                    }
                  },
                  series: {
                    regions: [{
                      values: {
                          IN:'#5478ab',
                          DK:'#88b7d6',
                          PL:'#5478ab',
                          IQ:'#98c6e5',
                          PK:'#88b7d6',
                          RU:'#95c9ed',
                          CN:'#b6d4e9',
                          AU:'#5478ab',
                          AR:'#b6d4e9',
                          FR:'#9ccbeb',
                          NG:'#98c6e5',
                          CA:'#5478ab',
                          US:'#9ccbeb'
                      }
                    }]
                  }
                });
              
        
    

Events

Vector map API offers aid in interactive maps creation and data visualization through colors, markers, labels, legends, custom mouse events and more. See "Getting Started" section for details.

Click to pinpoint your favorite US spots!

        
            
                          <div id="event-map" style="height: 300px;"></div>
                      
        
    
        
            
                          var map,
                            markerIndex = 0,
                            markersCoords = {};

                          map = new jvm.WorldMap({
                            map: 'us_lcc',
                            markerStyle: {
                              initial: {
                                fill: 'red'
                              }
                            },
                            container: $('#event-map'),
                            onMarkerLabelShow: function(e, label, code){
                              label.text(markersCoords[code].lat.toFixed(2)+', '+markersCoords[code].lng.toFixed(2));
                            },
                            onMarkerClick: function(e, code){
                              map.removeMarkers([code]);
                            },
                            regionLabelStyle: {
                            initial: {
                              fill: '#B90E32'
                            },
                            hover: {
                              fill: 'black'
                            }
                          }
                          })

                          map.container.click(function(e){
                            var latLng = map.pointToLatLng(
                                    e.pageX - map.container.offset().left,
                                    e.pageY - map.container.offset().top
                                ),
                                targetCls = $(e.target).attr('class');

                            if (latLng && (!targetCls || (targetCls && $(e.target).attr('class').indexOf('jvectormap-marker') === -1))) {
                              markersCoords[markerIndex] = latLng;
                              console.log(`${markersCoords[markerIndex].lat}`)
                              map.addMarker(markerIndex, {latLng: [latLng.lat, latLng.lng]});
                              markerIndex += 1;
                            }
                          });
                      
        
    

Naturally, to make our maps interactive, it is not enough to just make it fancy on initial render - we want to respond to our users actions. This is why mouse events are such an important part of the API.

Event Name Description
onRegionOver First event getting fired once a cursors crosses regional border. Passport, please!
onRegionLabelShow Event taking place just before a regional label gets shown
onRegionOut Happens once the cursor leaves the region
onRegionClick Fires once a region gets clicked
onRegionSelected Takes place when a region gets selected. Requires regionsSelectable option object property to be set to true
onMarkerOver First thing to happen once cursor breaches markers' aerial space
onMarkerLabelShow Fires just moments before a marker label is shown
onMarkerOut Event listening for the cursor to leave a marker alone
onMarkerClick Click on a marker, get an event free
onMarkerSelected You can click on a marker and this is what happens
onViewportChange Once a viewport changes, events get fired

Maps

Showing world on a map is great, but sometimes - just too great! Happens, we are in need of something a bit lesser. Pick and choose - there are over 70 different maps in total!

        
            
                  <div id="cn-map" style="height: 300px;"></div>
                
        
    
        
            
                  $('#cn-map').vectorMap({
                    map: 'cn_mill',
                    backgroundColor: 'white',
                    regionStyle: {
                        initial: {
                            fill: 'red'
                        }
                    },
                    series: {
                      regions: [{
                        values: {
                          'CN-41': '#B68842',
                          'CN-44': '#482901',
                          'CN-53': '#E7B23C'
                        }
                      }]
                    }
                  });
                
        
    

Available maps

There is a ton of different maps to choose from, each with its own designated regions! They usually come in two flavors: _mill, standing for all times favorite Miller cylindrical projection, and _merc, its arch-nemesis, the Mercator projection. It is worth to mention, that there are some places for which extra feels are offered: a colonial-times themed _lcc and the "bitten donut" _aea. The maps are grouped into the "world" and "countries" packs.

World

  • africa_merc.js
  • africa_mill.js
  • asia_merc.js
  • asia_mill.js
  • continents_merc.js
  • continents_mill.js
  • europe_merc.js
  • europe_mill.js
  • north_america_merc.js
  • north_america_mill.js
  • oceania_merc.js
  • oceania_mill.js
  • south_america_merc.js
  • south_america_mill.js
  • world_merc.js
  • world_mill.js

Countries

  • ar_merc.js
  • ar_mill.js
  • at_merc.js
  • at_mill.js
  • au_merc.js
  • au_mill.js
  • be_merc.js
  • be_mill.js
  • ca_lcc.js
  • ca_merc.js
  • ca_mill.js
  • ch_merc.js
  • ch_mill.js
  • cn_merc.js
  • cn_mill.js
  • co_merc.js
  • co_mill.js
  • de_merc.js
  • de_mill.js
  • dk_merc.js
  • dk_mill.js
  • es_merc.js
  • es_mill.js
  • fr_merc.js
  • fr_mill.js
  • in_merc.js
  • in_mill.js
  • it_merc.js
  • it_mill.js
  • kr_merc.js
  • kr_mill.js
  • nl_merc.js
  • nl_mill.js
  • no_merc.js
  • no_mill.js
  • nz_merc.js
  • nz_mill.js
  • pl_merc.js
  • pl_mill.js
  • pt_merc.js
  • pt_mill.js
  • ru_merc.js
  • ru_mill.js
  • se_merc.js
  • se_mill.js
  • th_merc.js
  • th_mill.js
  • uk_merc.js
  • uk_mill.js
  • us_aea.js
  • us_lcc.js
  • us_merc.js
  • us_mill.js
  • ve_merc.js
  • ve_mill.js
  • za_merc.js
  • za_mill.js
--- title: 'ScrollSpy' date: 2021-07-28T08:13:15+02:00 draft: false subheading: "Bootstrap ScrollSpy" seo_title: "Bootstrap 4 ScrollSpy - examples & tutorial." description: "Bootstrap scrollspy is a plugin which shows on the navigation list current position on the page depends on the scroll position defined by the user." page_url: "https://mdbootstrap.com/docs/b4/jquery/navigation/scrollspy/" image: "https://mdbcdn.b-cdn.net/wp-content/uploads/2015/08/scrollspy-fb-1.jpg" video: "" ---

Vector Map - getting started : download & setup


Download

This plugin requires a purchase.

Buy vector map plugin

Installation tutorial

Note: The video below shows a different plugin, but it does not matter. The installation process is the same for all plugins.

MDB Vue Vector Map

Vue vector map plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

MDB Vue Vector Map plugin helps you to show beautiful, scalable maps of the world, continents and countries. Easy to use, setup and customize. No API key needed - no hussle.


Basic usage

By default, the component loads into your project the world map - you can later adjust its colours, stroke and more with props - all of the available options are listed in the API tab.

        
            
        <template>
          <mdb-vector-map map="..." fill="..." stroke="..." hover-fill="..." select-fil="..." />
        </template>
        
        
    
        
            
        <script>
          import mdbVectorMap from "mdb-vector-map";
          export default {
            components: {
              mdbVectorMap
            }
          }
        </script>
        
        
    

Custom content

Use the options property to adjust settings for some regions of your map. In the maps provided by MDB, each country has been given an ID according to the Alpha 2 standard (See the list here ). To customize fill colour or/and tooltip content, create the options object with key identical as Alpha 2 country code, as in the example below.

The tooltip's custom content is rendered with v-html directive - this way you can create complex information display.

        
            
        <template>
          <mdb-vector-map :options="options" />
        </template>
        
        
    
        
            
        <script>
          import mdbVectorMap from "mdb-vector-map";
          export default {
            components: {
              mdbVectorMap
            },
            data() {
              return {
                options: {
                  'PL': {
                    fill: 'blue',
                    tooltip: 'Custom <br/> Tooltip'
                  }
                }
              }
            }
          }
        </script>
        
        
    

Custom map

The map property accepts to types - String or Array. First can be used for the maps provided within the package ('world', 'europe', 'worldPacific', 'northAmerica', 'africa'). MDB Vue Vector Plugin comes also with a folder containing 211 different maps which you can load into your project (or customize first). If you want to use your own SVG map inside the plugin, you need to transform it into an array of paths (each patch consists of three keys: path, name, id).

        
            
        <template>
          <mdb-vector-map :map="iceland.map" :view-box="iceland.viewbox" background-color="#82b1ff" stroke="#82b1ff"
            fill="#e3f2fd" select-fill="#fff" hover-fill="#fff" />
        </template>
        
        
    
        
            
        <script>
          import mdbVectorMap from "mdb-vector-map";
          import iceland from "../../maps/is";
          export default {
            components: {
              mdbVectorMap
            },
            data() {
              return {
                iceland: iceland
              }
            }
          }
        </script>
        
        
    
        
            
        export default {
          viewbox: "0 0 500 250",
          map: [
            {
              path:
              "M245.8 523.3l-0.9 0.6-1.5-1.5-0.3-0.9-1.2-1.3 0.8-0.8 1 0.8 0.2 0.9 1 0.9 0.9 1.3z m-8.8 32.2l-9.6 0.5-8-8.7
              7.6-1.5 2.4-1.7 2.2-3.5 0.7 1.2 0.6 0.2 1.1-1.4 0-1.3-1.6-1.6-2.2-1.6-2.1-0.6-1.5 0.9 0.9-3.4 2.3-1.6 2.4-0.2 1.8
              0.9-0.7 0.2-1.7 1.4 1.6 0.9 1.8 0.2 1.8-0.4 1.5-0.7 0-1.6-1.8 0 1.8-1.4-5.6-5.2-3-1.7-3.1-0.2 2.7-2.1 13.6 2.5 1.6
              2.5 2.8 1.6 1.5-0.2 1.3-1.4-2 0-0.9-0.5-0.8-0.9 1.1-1.7 1.4-1.2-1.8-1.4 2.3-0.9 3.2 1 3-0.1 1.9-4.1-3.1 1.8-1.7
              0.2-0.7-1.4 0.6-2.5 1.5-1.2 2.8-1.4-1.8-1.2-2.7-0.3-2.8 0.4-2 1.1 0.6-3.6-1.1-1.6-1.8-0.4-2.5 0.1-1.6 0.9-0.7
              1-3.4-0.7 2.7-2.3 0.9-1.7-0.5-3.1 1.7-1.2 12.6-0.4 10.9 3.8 0.9 14.8-4.5 21.7-16.4 7.1-8.4 8.9z",
              id: "ISL5131",
              name: "Reykjavík"
            },
            {
              path:
              "M155.1 287.5l-0.4 0.5-0.7-0.8 1.2-0.8-0.1 1.1z m2.1-21.6l-0.7 1.1 0-1.9 1.6-1.1-0.3 1.2-0.6 0.7z m16.9-16.8l-0.5
              1.8-1.7 0.8-0.5-0.7 1-1.3 0.4 0.2 1.3-0.8z m47.7-2l-0.8 0.1 0.4-1.3 0.7-0.6 0.5 0.5-0.8 1.3z m-94.9-1.4l-0.9
              1.4-0.3-0.6 1.2-0.8z m186.6 64.3l0 1.9 0.9 3 0.1 3.7-0.3 3.9 0.1 1.9 0.4 2.2 0.7 2.6 1.4 3 2.2 6 1.5 8.1 0.5 2.3
              1.5 3.5-6-0.2-3-1.1-2.7-1.6-7-6.2 0.1-2.2-0.4-1.7-1.6-1.7-1.6-2.8-0.9-1-1.6-1.5-0.6-1.1-0.6-2-1.4-4.9-0.3-3.6
              0.3-2.5 0.6-2 2.3-4.8 0.6-1.6
              0.1-1.5-0.2-1.7-1.7-5.7-0.8-3-0.6-1.5-4.7-5.8-2.1-1.3-0.6-0.8-0.7-1.6-2.5-3.2-5.3-10.9-1.6-4.8-0.7-1.3-1-0.6-3.3
              0-7.8 2.2-2.7-3.3-0.6-1.2-0.2-1.3 0.3-1.5 1-1.8 2.2-2 0.7-0.9 0.2-0.9-0.3-2.2 0.5-3.4 0.3-2.5-0.1-6.5-1-2.9-2.4
              1.7-1.1 1.8-2.2 5.6-1.6 1.4-8.7 2.9-3.1 0.1-6.5-1.5-5.3 1.6-1.8-0.1 1.8-3.4 1.9-2.5-3.3-3.3-1.2-2.3-0.4-3.4-1.2
              0.9-1.3 0.6-1.3 0.2-1.2-0.2 0.5 3.1-0.8 1-1.3-0.3-1-0.8-0.8-2-1.7-5.2-1.2-1.8 0.5 3.7-0.2 3.1-0.8 2.7-1.3 2.5-1.6
              2-0.9 0.8-0.9 0.3-0.8 3-0.8 2-0.8 0.9-3.5 0.3-1.5-0.6-2.4-3.8-5.3-4.9-3.8-2-0.5-1.9 1.7-3.6 2-1.4 10-2.2 4.2-3
              2.2-0.7 1-0.9 0.2-2.3 0-2.6 0.3-1.9 0.7-1.6 1-1.1 2-1.7-2.7 0.8-6.6 9.7-3.1 2.6-2.9 1.4-6.4 0.4 0-1.4 3.8-2.8
              1.2-1.6 0-1.6-1.9 0.1-1.3 1.3-2.4 3.2-1.8 0.7-1.2-0.8-1-1.3-1.6-0.2 0 1.6 1.1 1.7-0.5 1.9-1.3 1.7-5
              2-1.3-0.7-1-3.8-0.1-3.5 0.3-2.7 0-2.7-1.2-3.7-1.7-7.8-1.1-2.6-1.1 2 0 3.5 0.1 2.4 1.4 4.6 0.1 1.8-0.6 1.7-1.7
              3.9-1 1.5-1.1 0.1-1.3-2.1-1.8-4.1-0.7-0.4-0.6 5.7-0.7 1.7-1 0.8-1.1-0.1-0.7-0.9-0.8-1.7-2-6.9-0.4-3.6 0.6-3.6
              2.1-4.2-0.8-1.2-0.9 1.1-0.8 0.1-2.5-1.6-1.5 0-0.5 0.4-0.4 1.2 0 1.3 0.8 4.7 0.9 2.7 2.5 16.7-1.3
              1.4-1.5-0.4-1.7-0.8-1.6-0.2 0-1.3 0.5-1.8-0.5-1.5-1-1-1.2-0.3-3 0.9-1-0.2-0.1-2.1-0.7 0.2-2.3-0.2 0-1.6 2.2-2.2
              4-5.6 2.5-1.2-1-2.4-1.5-1.7-3.2-2-0.5 4.9-1.8 4.2-2.3 2.1-1.8-1.4-0.6-2.4-0.4-2.7-0.6-2.2-0.9-0.9-0.3 1.5-0.4
              6.9-0.3 2.1-1.9 2.5-5.5 1.3-2.5 1.5-5-2.5-2.7-2.7 0.3-3.2 0-1.4-2.5 1.5-1.5 4.3-0.2 4.8 1.7 2.8 0 1.7-1.1 1.2-2.1
              3.4-1.2 1.2-1.4 0.5-6.1-0.8-2.4-1.1-1.5-0.2-1.4-0.7-1.1-1.6-1-2-1.1 0.2-1.3 1.2 1.3 1.5-2.6 1.1-4.8 4-12.2
              2.5-2.8-1.6-0.1 2.6-0.4 0.8-1.3 1-3.4 6-16.6 4.6-4.2-0.5-3.7-2.5 0-1.6 0.5-1.8-0.3-1.5-0.9-1.5-1.1-1.2 1.6 0.2 0.7
              0.4 0.8 0.9 0.2-4-1.6-2-2.1 0.3-0.9 2.9-2.2-3.3-13.9-5.8-25.7 2.8-3.3-0.6-2-3.7 4-2.4 2-2 0.8-2.2 1.2-1.5 5.3-3.4
              1.6-1.9 0.3-3.4 0-3.9 0.5-3.3 2.8-1.9 1.6-2.1 1.3-0.5 2.3 0.4 8.8 5.3 2.5 0.4 1.6 1 4.9 6.4 3.6 2.2 6.3 1.8 1.5 2
              1.3 2.5 1.6 2 2.7 1.4 2.7-0.2 5.1-2.6-4.1
              0.1-2.2-0.6-1.7-0.9-1.5-2-1.2-2.5-1.4-2.3-1.8-0.9-4.5-5-2.5-4.3-2.8-3.9-1.6-3.1 13.6 2.8 8.9 5.2 2.8
              0.9-1.7-3.4-2.5-2.8-2.5-2-4-1.5-4.7-3.2-4.1-1.5-2-1.9-3.3-4.7-3.7-7.6-0.3-2.8 0.1-2.7-0.1-2.6-0.9-2.6 3.8-3.4 3.9
              0.3 38.2 21.4 0.8 1.1 1.6 3.3 2.5 1.9 0.6 1.1 0.9 3.9-0.4 2.5-0.9 2.3-0.8 3.3 1.6 0.9 2.1-1.7 3.7-5.2 0.4 1.1 1.4
              1.9 1-2.1 4.9 1.3 2.2-0.7 0-1.5-1.2-0.9-0.6-2.1 1.5-0.1 4.1-2.9 1.4-0.2 1.5 0.2 1.4-0.1 1.2-1.4-10.7
              0.9-4.9-1.6-3.6-2.3-1.2-1.5-1.6-2.6-0.9-2.4 0.9-1.1 5.6-2.7 1.2 0.5 1.5 1.3 7.3-1 2.4-2.2 1.8-0.5 4 1.6 1.9 0.2
              1.9-1.8-1.7-1.5-0.8 0 0-1.3 4.3-3 1.3-1.7-5 0.7-2.8 1.4-3.9 3.5-24.4-0.6-4.8-2-3.1-3-4.8
              1.8-1.1-1-1.2-2.2-5.3-6-2.9-6-1.9-7.2 0.3-6.7 3.8-4.4 1.8-0.1 5.2 3.1 6.7 1.6 1.7 1.1 2.9 3.6 1.6 1.3 1.7 0.2
              5.7-1.7 11.2 4.5 3.7 0 6.4 4.8 3.5 1.5
              3.2-1.6-7.5-2.4-2.4-3.1-7.5-0.7-2.3-1.4-4.2-3.8-9.4-2.3-2.1-1.6-4.9-6.7-2.5-1.4-1.2-2.1-1.9-0.9-4.2-3.9-3.7-5.2-0.8-1.8
              0-6.9 0.5-3.6 1.4-2.7 3.7-1.3 4.7 1 16.4 10.1 4.8 1.2 3.2-1.8 0.4 3.5 1.1 2.9 1.6 2.1 1.8 0.7
              0-1.4-1.5-2.3-2.8-7-1.8-1.4-2.1-0.5-4.1-2.1-2.2-0.5-1-0.7-2.8-3.9-5.3-4.8-3-4.3 2.9-2.4 7.9-0.8 6 1 8
              6.7-2.2-2.1-3.5-5.9-2.1-1.2-8.6 0.2-2.2-1.6 0-1.7 0.9-1.7 1.3-2 1.5-1.7 1.6-0.7 3.7-0.2 1.4-1.3 0.2-2.9 2-1.1 14.2
              4.1 9.2 6.9 2.7 0.6 1.8 1.5 2.3 3.4 1.6 4-0.4 3.4 0.6 4.8 4.5-7.1 1.8-0.8 0.9 0.6 0.9 1.3 1.3 2.8 1.6 2.4 0.2 1.2
              0 3.3 0.5 3.6 0.1 2.1-0.6 1.7-1.5 2.8-0.3 0.5-4.1 7.7-0.9 2.2 0.6 0 1.9-3.1 5-6.2 1.8-3 0.9-3.8 0.6-1.6 0.9-0.7
              1.1 0.7 0.7 1.7 1.3 5.3 0.7 0.3 1.5-2.1 1.4-1.2 1.4 1.4-1.6 5.2-2.1 5.2-2.6 4.2-3 2.1 3.6-0.2 1.7-0.9 1.5-1.9
              1.7-5.7 1.3-3.4 1-0.7 1.3 6-0.6 6.2-0.8 5.2 0.5 3.1 3.1-10.7-0.2-5 0.4-5.7 0.7-5.3 1-3.8 0.7-1.6 0.5-0.4 6.1 0.6
              0.6 0.7 0.3 3 0.5 1.8 0.8 1.2 3.5 3.7 3.2 6.2 0.6 0.8 0.1 1-0.5 4.8-0.3 2.5-0.6 2.1-0.7 1.1 0.6 1.4-4.6 13-1 4.1
              0.7 1.9 1.1-0.4 2.2-8.5 6-16.2 0.6-4.4 0-1.6 1.9-0.4 1.2 2.1 1.1 3.2 1.4 2.8 0.6 0.1 1.1-0.5 0.7 1.9 0 1.8-0.5
              1.7-0.1 1.5 1.3 1.1 0.5-3.4 0.6-1.7 0.7 0.5 0 1.5-0.6 7.6-0.8 2.5-2.1 4.2-0.8 2.5 0 1.4 3.4-2 3.6-12.4 2.9-2.3
              0-1.6-1.9-2.1-1-4.2-0.7-5-0.8-3.9-1.3-3.1-1.7-3-1.9-2.3-1.9-0.8 0.9-2.9 0.4-2.8 0.5-2.5 1.3-2.2 1.8-0.9 1.8-0.1
              1.5-0.8 1.1-3-1.9 0-4.4 2.3-1.7 1.7-1.7 0.6-7.6-3.8-5-5.3-21.5-9.4-6.4-6.8-3.7-9.9 4.2-2.8 13.4-3.6 2.9 0.1 9.6
              3.1 2.4 0 1 0.4 1.2 2.8 2.4 2.5 1.3 0.4 1.3-1.4-1.1-1.8-0.8-2.9 4.5 0 2.3-0.6 3.9-3.2 4.5-0.5 2.1-1.7-12.3
              1.9-3.7-1.9-1.8-1.9 0.4-0.3 1.4-0.2 1.5-1.6 1-1.6 1.3-1.4 1.5-0.8 1.5 0.1 0-1.7-2-1.2-1.2 0.5-3.6 3.8-4.6 2.5-5.3
              0.6-4.3-0.9-0.7-0.5-0.2-2.5 0.8-1.6 1.9-2.2 0.3-1.6 0.5-4.6 0.4-1.4 1.2-1.4 4.3-1.8-3.9 0.8-3 2.1-7.1 7.8-1.7
              1-3.8 0.6-1.1-1.3 0.6-3 1.4-3.1 1.3-1.7 0-1.7-3.1 1.3-1.6 1.4-1.5 2-3.6 6.5-0.7 0.4-2.2
              2.7-14.3-3.8-3.8-2.2-2.4-3.2-1.5-1.5-0.6-1.5 1.2-2.1 3.5-0.2 4.3 1.7 3.9-0.6 2-7-2.6-0.4-2.8-2.2-2.7-3.2-1.9-3.5
              2.8-2.3 2.8 1.4 2.9 2.5 2.7 1.5-0.7-2.6-1.2-2.2 9.9-1.7 0.7 0.3 0.5 0.9 0.8 2.8 0.5 0.9 2 0.5
              0.8-1.7-0.3-2.2-1.5-1.2-1.5-0.6-4.5-4 9.1 0 1.6 0.7 3.2 3.2 4.1 1.6 3.2 4 1.8 1.3 2.4-0.4 3.5-4.2 2.1-1.6-0.5-3.1
              3.5-1.3 2.9 2.4 2.9 3.4 6.2 3.1 1.4-0.3 0.4-2.8-0.7-2.2-2.3-1.7-0.7-2.1 2.9 0.5 2.8 2.8 2.1 4.5 0.8 5.3 1.6 3.3
              7.4 4.2 2.3 4.2-1.3 2.3 1.1 1.3 3.9 0.9 0 1.5-1.7-0.5-0.7 0.9-0.1 2 0 2.4 1.2 2.7 0.2 1.7-1.4 1.6 0 1.7 1.2 1.5
              1.2-1.4 1.4-1.1 1.5-0.7 1.4 0 0.9 1 0.7 1.5 0.9 0.7 2-4.4 1.5-0.4 0.8 1.5-0.5 3.3 6.4-0.7 1.6 0.7 0.8-1.4 0.8-0.1
              1.5 1.5 3.7 6.1-0.8 1.6-5.3 4.6 1.2 0.8 1.1-0.6 1.2-1.2 1.4-0.7 1.3 0.3 4.3 3.6 1.1 1.7 0.7 0.6 0.9 0.1 1.8-1.2
              1-0.2 5.7 3-0.7 3 1.6 1 0.9 2.7 0 2.7-1.3 1.2 1.1 3.6 0.2 1 0.2 3.7 0.4 4.3 0.6 1.5 1.2 1.1 1.3-0.2 1.6-1 1.6-0.4
              1.1 1.6 0.2 3.1-0.8 2.8-1.1 2.6-0.7 2.3 1.1-0.3 1.5-1 1.2-1.3 0.5-1.2 0.1-3.7-0.1-1.7-1.9-4.5 1.1-1.2 3.2-1.7
              4.1-0.2 0.6 0.7 0.9 3.3 0.4 0.8 1.6 0.8-1 1.7-2 1.6-0.8 0.3-0.6 2.2 0.4 1.6 1.7 3 2.3 1.9 9.8-2.7 2.6 0.7 2.2 1.2
              1.6 2.6 1.1 4.7-12.7 1.2-2.5 2.1-9.5 2.8-1.4 0 1.7 3.1 2.5-0.3 5.1-2.8 8.5-1.6 2.7 1.6-1.1 1.9-3.9 2.8 0 1.5
              9.7-2.8 2.4 2 1.3 4.5 0.3 3.8-1.1 2.9-2.7 1.7 4.3 3 0 1.7-4.4 10.5-1.7 2.9-2.6 2.5-9.2 3.5 0 1.7 1.9 0.1 3.4-0.6
              1.5 0.5 4.8 3.1 1.5 1.4-7.5 9-2.6 2.1-12.3-0.6-0.9-1-1.9-3.5-1.7-1.3-1.6-2.9-1.1-3.1-0.2-1.9-2.2-3.1-2.8-1.6-2.9
              0.1-2.6 1.6 1.7 0.3 4.3 2.8 1.4 1.4 0.2 0.6 1.9 3.6 0.4 0.4 0.2 2.6-0.3 1.8-0.7 1.4-1.1 1.8 1.4 1.5 0.8 1.1 0.3
              1.2 0.5 2.9 1 1.6 3.1 3 15.1-0.4 2.6 1.4 1.2 2.8-0.9 2.5-4.7 7.5-1.8 2 0 1.5 4.4-2.5 5.5-5 4.8-1.1 2 9.4-1.9 8-4.6
              7.7-5.3 5.6-4.3 1.7 0 1.5 9.1-3.5 3.5-3.2 2-0.7 2 0.4 1.3 1.2 2.6 4.3 3.4 3.3 0.9 2.2-0.6 3.6 1.2 0.8 0.2 1.6-0.2
              2.3 0.1 2.7 0.5 4.8 0 3.4-0.4 4.3 0.1 2.2 3.5 11.3 1.2 2.2-0.7 1.4 1.8 1.9 1.9 3.6 0.9 4.2-0.8 3.8 0 1.4 1.5 1.3
              0.5-0.5z",
              id: "ISL690",
              name: "Vestfirðir"
            },
            {
              path:
              "M662.7 601l-7.3 0.9 0-0.4 5.4-1.3 1.6 0.3 0.3 0.5z m37.7-1l-9.2 1.1 3.7-1.1 0.5-1.2 4.5 0.3 0.5 0.9z
              m14.7-2.8l-3.7 0.9 1.3-1.1 1.7-0.2 0.7 0.4z m-30-1.4l-0.4 2-0.7-0.4 0.4-2.7 0.5-0.7 0.2 1.8z m30.4 0.3l-0.8
              0.2-0.4-0.7 0.7-1 2.3-1.8 0.4 0.3-2.2 3z m9.1-14l-5.1 7.6-0.5-0.5 0.3-1.4 4.3-5.2 1-0.5z m213.1-150.7l2.7 0.5 0.1
              1-0.4 0.8-0.9 0.4-1.1-0.2-0.6-0.9-0.6-0.1 0.8-1.5z m-289.8 171.6l-0.2-2.3 0.4-35.8 0.5-4.1 3.3-12.6 42-90.1
              17.2-35.1 2.2-7.7 1.9-8.3 0.5-2.9 0.3-3.6-0.2-1.9-0.9-3.5-0.2-1.7-0.5-1.7-2.2-5.8-0.1-1.7 0.3-1.7 2.4-5.4 1.3-2
              0.7-1.2 0.2-2-0.6-2.4 0.2-2.7 0.6-3.2 0.4-1.2 0.5-0.7 2.3-0.2 5.2-2.6 1.6-0.4 3.7-0.1 1.6-0.4 1.6-1.3 4.8-6.8
              3.9-4.2 1-0.8 6-1.9 1.1-0.9 1.3-1.5 2.3-3.7 0.7-1.7 0-1.2-1.6-1.3-0.3-0.6-0.1-1.9 0.6-2.9 1.2-7.3 0-4.7-0.2-2.8
              0-1.8 0.3-3.2-0.3-1.9 0.1-1.6 0.6-3.1 1.1-2.9 2.5-3.9 2.7-5.6 1-1 4.7-3.5 1-1.2 0.7-1.7 1.2-3.5 0.4-1.8
              0.1-1.4-0.5-2.6-0.4-1.5-2.6-4.5-1.7-2.3-6.9-4.8-0.4-0.6-0.9-1.9 0-2 0.3-2.5 0.8-2.1 1.2-1.4 1.8-3.5 1.6-0.7 1-0.9
              1.1-1.6 1.2-2.8 1.4-4.2 0.9-3.4 0.2-1.6 0.6-5.3 0.5-1.5 0.8-1 1.3-0.2 28 5.8 1-0.2 0.2-1 0.1-2.6 0.6-3.6 2.1-7.1
              0.1-1.9-0.2-1.7-0.6-3.4-0.2-2.2-0.1-5.8-0.4-2.8-0.7-1.7-0.2-2.6 0.2-3.4 0.2-1.5 0.5-1.4 1-0.7 18.8-5.2 0.7-0.5
              0.6-3.3 0.7-1.4 1.4-1.8 1.3-1.1 4.8-2.9 1.2-1.2 0.8-1.6 1.2-5.1 8.1-1.3 5.4-4.1 3.6-4.1 2.3-4.9 36.8-4.8 2.8-8.3
              4.4-1.1 0.9 4.9 0.1 2.5-0.3 0.9-1.1 1.2-0.5 0.9 0.1 3.4-0.1 1-2 5.4-0.4 1.5-1 1-5.9 7.3-6.6 5.1-2.1 2.6 0.2
              3.9-1.8 3.1-4.5 5.1 2.7-0.2 2.4-1.9 4.2-5.6-1.4 4.5-2.6 5-1.1 3.9 3.2 1.7 3.3-1 7.1-4.1 19.4-5.3 7-3.9 3.7-1 2.9
              3.2-4 9.3-2.2 2.3 0.2 1.8 0.7 1.9 0.8 1.3 2 1.6 5.8 3.9 1.6 2.1-4.9 1.5-2.6 2.1-2.2 5.7-4.7 5.6-1.8 4.6-6.9
              8.3-1.4 2.8-1 3.3-0.5 3.6 1.2-1.7 1.9-4.8 0.9-0.9 1.1-0.6 3-3.2 0.9-1.4 1.7-3.5 11.2-17 2-1.4 2.4 0.6 7.2
              5.4-1.5-2.1-2.5-2.8-1-2.4 19.8 11.9 2.6 0.4 9.9-2.5 1.7 0.2 1 1.1 0.7 2.6 0.1 2.3-0.5 1.5-1.2 0.4 0 1.4 2.9-0.1
              1.2 0.4 0.9 1.3 0.1 1.5-0.7 4.6 0.6 1.6 0.8 1.2 1.7 1.5 4.2-6.2 2.3-1.8 2.7 0.7 0.5 0.9 0.2 3.5 0.5 0.1 1.3-0.4
              0.6 0.3 3.2 3.6 0.6 1 0.1 4.8-1.3 3-1.7 2.1-0.9 2 0.2 1.2 1.1 4.2 0 1.9-0.6 0.8-3.1 2.3 0.9 1.3 0 1.7-0.3 2 0
              2.4-3 2.2-8.3-1.2-3.6 2 2.3 1.9 7 2.5 0.3 3.6-2.1 2.4-2.9 1.3-4.5 0.1-1.9 0.6-3.8 2.4-7.5 1.4-2.4 1.5 1.5 2.1
              14.3-5.4 4.4 0.4 8.7-2.3 2.7 0.8 4.5 3 2.3 2.5 1.3 3.5-2.1 1.7-3.7 5.9-2 1.3-11.4 2.9-12.1 0-5.3 1.3-5.5 0 2.8 2.3
              10.5-2.3 13.9 1.6 6.2-1.6 3.4 0 0.9 0.8-0.4 1.5-1.4 2.4-0.2 1.4 0 1.8-0.4 1-3.5 1.6-3 0.3-2.8 1.1 0 1.6 7-1.5 1.6
              1.5 0 1.4-0.9 0.2-0.8 0.6-0.7 0.9-0.7 1.3 2.8 0 0.9 0.5 1.6 2.3 0.9-0.6 1.5-3 0.7-0.6 0.2-0.9 2.6-5.1 3.7-4.4 0.3
              3.1 0 4.6-0.3 4.4-0.6 2.5 0 1.6 1.7 1.3 0.5 2-0.6 2.6-1.6 2.9-1.8 1.7-3.8 1.2-1.8 1.5 1.6 3 0.8 2-0.3 0.9-1.4
              0.7-2.8 3.1-1.4 0.7-6.5-1.6-5.6 1-1.8-1-0.9-2-0.8-3-0.9-2.6-1.4-1.2-1.5-0.5-3-2-4.7-1.6-5-5-2.8-1.1 0.5 2.3 1 1.8
              1.1 1.1 1 0.6-3.2 3.7-18.5 0.7 0 1.6 28.6 2.8 0.9 0.9 1.2 1.6 1.1 2.1 0.5 2.1 0.8 1.1 4.2 3.9 9.3 4.4 1.8 3-3.7
              3-4.5-0.7-7.9-3.8-9 1.5-5.5-2.4-1.6 0.9 5.4 3.8 12.9 3 5.9 4.9 0.7 1.3 0.8 1.9 0.3 1.9-0.9 0.7-1.5 0.7-2.3 3-1.2
              0.7-9.4-3.7-2.7 2.4 9.8 4 1.6 1.6 0.1 2.3-2.6 0.8-10.3-0.4-2.9-1.2-0.5 1-0.8 0.8-1.8 1.1 0 1.6 2.8 3.5 1.4 2.3 1.4
              2.9-1.5 0.5-4.1 3.8-20.1 4.4-3.3-1.1-1.7-1.1-1.2-1.4-2.6-8.3-2.3-2.4-2.5-4.9-1.3-1.1-7.1-1.6 0.9 1.2 0.9 0.5
              2.2-0.1 1.2 1-0.1 2.2-0.6 2.4-0.2 1.5 1.4 1.8 4.6 2.5 1.5 0.2-0.2 4.1 1.3 3.4 1.7 2.8 1.2 1.3 4.5 1.5 1.7 1.9-1
              2.3 0.6 1.5-15.1-5.1-4.7 3.6 1.5 1.8 3.6 1.9 1.8 2.1 0.9 2.4-0.2 2-0.9 1.6-1.7 1.2-12.1 0-1.1 1.4 1.1 2.8 1.8 2.4
              1-0.1 0.9 2.2 1.9 1.4 1.8 0.1 0.4-1.5 3.7-1.1 5.6-8.4 2.8-2.1 0.5 1.1-1.3 2.3-8.3 10.2-1.2 2.4-0.3 2-0.3 4.3-0.4
              1.7-2.9 5.2-0.4 1.9 0.4 3.5-0.1 0.8-1.4 1.7-0.4 2.2-1 3.2-0.3 0.7-9.4 1.1-6.5 2.3-2.4 1 4-3.1 8-2.3
              4.1-1.7-2.3-1.6-10-1.6-0.7 0.3-0.1 0.9 0.1 2.8-2.9 3-1.1 0.5-0.4 0.5-1.9 3.6-1 1.1-5 3.3-2.1 2.1-1.8 2.6-0.7 0.1
              0.8-1.9 0-1.4-0.7 0-0.6 2.1-1.4 1.8-1.5 1.3-1.1 0.5-0.3 0.7 0.3 1.5 0.7 1.5 0.9 0.7 1.9-0.2 0.9-0.5 0.9-0.9 0.4 3
              0.8 2.8-2-0.1-2.7 3.5-1.8 0.9-4.2-0.4-1.8-0.9-1.8-1.5-2.8-3.5-1.8-1.6-1.8-0.6-0.8 0.6-1.7 2.7-0.9
              0.9-1.1-0.3-1-0.8-1.1-0.3-1.2 1.4 1.2 1.5-1 1-1 0.4-2.2-0.1 1.7-5.7 0-1.3-2.9
              0.8-1.4-0.1-0.6-1.5-0.4-3.2-1-2.2-1.2-0.7-1.1 1.1 0 1.4 1.3 2.1 0.3 1.4 0.3 2.2-1.2-0.9-2.6-0.9-1.2-1.1 0-1.2
              0.9-3-1.3-4.4-2.3-4-1.9-1.8-1.9-2-3.6-1.5-2.3-0.6 1.6 1.3 3.1 1.3 1.8 0.9 1 2.3 1.6 5.1 0.8 1.8-0.7 1.1-0.8
              0.4-0.8-0.4-0.7-1.1 0 1.6 1.8 1.6 0.3 3.3-0.7 3.6-1.4 3-2.3 1.2-5-1.4-2.1 1.5 1.3 1.1 1.4 0.4 3 0-2.3 1.9-5.8
              2.2-5.2 0.5-5.5 2-2.3 2-1-2-0.3-1-2.5 3.6-8 6.5 7.5-2.6 1.8 1.3-3.1 2.5-23.4 7.2-3.3 3 4.3 0 0 1.3-5.7 5-2 0.7-0.9
              0.5-3.1 3.7-2.1 1.6-0.9 1-0.7 1.8-0.9-2-0.9-0.4-0.9 0.9-1 1.5 0 1.4 1.2 0 0 1.3-5.4 3.8-2 0.5 0.6-2.9-4.9 3.7-2.4
              2.9-1.4 3.4 1.5 0.1 1.2-1.1 0.9-1.2-2.4 4.8-1.2 1.7-6.5 5.7-4.3 6.9-0.6-0.1 1-1.6 0.5-2.4-13.7 11.3-12.1
              3.6-1.8-0.5 0.7 0.9 0.9 0.1-1.7 1-1.5 0.4 0.3 2.2 0 2.8-0.5 2.5-1 0.9-0.4-0.6-0.2-1.4
              0-2.8-0.2-0.7-1.7-1.5-3.4-4.7-0.9-0.9-1.4-0.5-0.8 0.6-0.2 1.8 0 3 0.3 3.8-0.1 2.7-0.6 1.2-1.2-0.7-0.2-1.8
              0.5-5.2-0.3-1.8-0.6-2.4-0.7-1.3-0.3 1.3 0 5.5-0.1 2.6-0.5 2.3 1.3 1.9-0.5 1.4-1.4 0.9-1.8 0.2 1-4.6 0.1-2-0.6-1.8
              0.7-2.5 1.1-1 0-1.1-0.5-1.1 0.5-5.5 0.1-3-0.6-2.1-1-1.6-1-0.9-0.5 1.1-0.2 5.3 0.1 2.2 0.8 1.8-1.5 1.4-1.7-0.1-1.5
              0.3-0.9 2.5 1.1 2.1 0.4 2.4 0.7 2.2 1.5 1.6-1.7 2.3-3.3 0.8-6.5-0.2-1.4-0.4-3.2-2.5-1.3 0.9-1.2
              1.4-0.9-0.1-0.3-3.5-11.2 7-5 1.7z",
              id: "ISL695",
              name: "Austurland"
            },
            {
              path:
              "M553.8 371.6l-40.2 9-25.7 11.5-22.6-0.1-23.7 7.2-2.6 0.2-2.2-0.5-23.2-10.4 4.8-8.4 10.4-11.4 0.8-1.5 0.6-1.9
              0-2.9-0.7-2.1-0.8-0.4-26.7-1.2-21.6-0.5-4.3-2.3-1.3-0.1-29
              8.8-1.5-0.2-3.4-3.5-1-0.4-7.5-0.6-1.3-0.4-7.8-5.2-0.8-2.2-1.5-3.5-0.5-2.3-1.5-8.1-2.2-6-1.4-3-0.7-2.6-0.4-2.2-0.1-1.9
              0.3-3.9-0.1-3.7-0.9-3 0-1.9 1-0.8 0.7-3-1.3-5.2-0.3-3.5-0.3-1.6-0.8-2.2-1.5-3.3-0.8-1.9 1.4-2.4 0.5-0.7-0.3-1.8
              0.6-1.4 0.9-1.2 0.6-1.4 0.5-3.3 0-3-1.9-16.4-0.4-6.9 1.2-3.1 2.8 1.6 1.9 3.9 2.8 9.2 2.6 5.3 0.4 1.5 0.6 1.6 3.1 1
              1.3 1.1 0.6-1.6-2.3-5-2.1-6.7-1.7-7.1-0.7-6.4-0.3-5.2-0.1-3.5 0.4-3.3 0.4-1.2 1.1-2 0.4-1.1 1-6.3 0.2-1.4 2.8-5.4
              10.2-8.1 5.6-7.5 1.6-0.9 1.8-0.5 1.2-0.9 0.4-2.2 1.1-0.2 0.9 0.7 1.7 2.5 1.6-0.2 0.3 0.2 0.2 1.9-0.9 1.3-0.6
              8.7-0.1 4.5 0.7 3.2-1.1 3.7 0 3.8 0.9 2.3 2-0.8-0.9-4 0.2-3.6 1.1-1.6 2.2 1.7 0.8 1.4 0 2.2 0.4 2.5-0.6 3.2 0.3
              1.1 1.7 1 0.5 0.5 0.7 1.9 0.7 2.8 1 1.3 1 0.8 1.1 0.6 1.2 0.2 1.1-0.2 2-1.4 0.8-2.4 0.5-3.3
              1-4.7-1-0.9-1.4-3-1-0.6-3.1 0.3-1.5-0.5-1.3-1.4 3-1.2 2.9-0.2 1.2-0.5 2.5-2 1.3-0.5 1.1 2.1-0.3 9.7 1.3
              3.1-0.4-3.5 0.9-2.6 0.6-2.5-1.1-3.3 1-2.9 2.9-4.3 1.4-2.6 0.3-1.6 0.2-3.6 0.4-1.6 0.9-0.8 1.6 0
              1.9-0.5-2-0.5-1.3-2.7-0.1-3 1.2-1.5 1.2-0.9 0.9-2.2 0.5-3.2 0.2-3.5-0.7-5.7-1.8-5.2-2.2-4.1-2.1-2.3 0-1.6
              2.4-2.3-1-6.4-2.3-7.2-3.4-7.8-0.7-2.1-0.5-7.6-0.6-3.7-1-2.9-1.3-2.3-1.6-1.9 1.4-2.2 1.3-3.4 0.4-3.6-1.2-2.9
              1.8-1.6 2.2-0.4 3.8 0.5 0.9-0.4 1.6-1.9 0.9-0.7 1.2-0.4 3.2 0.4 1.7-1 3.3-4.2 1.4-0.9 4.4 1.6 2.1 0.2 1.9-1.8 0.5
              4.7 1.2 2.8 1.7 1.7 2.1 1.4-0.6 1.7 1 0.9 0.6 1.7 0.9 3.3 1.2 3.4 3.8 7.3 0.5 2 0.4 1.7 0.4 1.4 1.1 1-1.2 3 1.8 3
              2.3 2.4 1.7 2.8-0.2 4.1 1.6 1.5 4.9 0.8 3.6 2.5 2.1 0.1 1.6 2.5 1.2-0.2 0.5 0.3 0.5 1.6 0.7 4.6 2 4.4 0.5 1.6 0.4
              2.8 0.5 5.9 0.6 2.6 2 2.7 4.6 1.4 1.8 2.7 0.6-4.7 0.6-1.7 2.8 0.4 1.6 2.2 0.6 0.6 2.8 0.7-0.6 0.7-0.3 1 0.3 1.8
              0.8 0.1 1.6-1.1 1-1.3 0.8-3.1 1.1-6.3 0.6-6.4 0-5.6-0.6-5.2-1.3-5.4-2.5-7.7-0.3-1.4-5.3-6-0.1-1.6 0.4-2.1 0.8-1.8
              1.1-0.7 1.7-0.4 1.8-1.2 1.7-1.8 1.3-2.6-1-1.3-0.8-1.8-0.7-2.2-0.9-4.7 0-0.8 1.2-2.3 1.7-2.1 5.1-2.8 12.1-2 4.2 3.2
              2.3 0.4-0.2-3.6 1.4-1.5 0.8-0.2 0.9 0.3-0.6 3 1.8 0.7 3 3.3 1.9 0.4-1.1-1.1-0.9-1.2-0.6-1.7-0.4-2 0.6 0
              0-1.4-1.9-1.7 0-1.4 0.9-1.5 0.9-5.3 0.6-2.2 0.5 0.2 4.2 3.9 1.4 2.6 1.5 4.3 3.1 6.5 1 1.6 7.5 9.3 1.1 2.5 0.1
              1.8-1.6 1.4-0.8 1.2 0 1.1 0.1 3.1-0.2 0.7-0.6 1-1.2 0.9-0.7 1.6 0.6 0.9 1.5 0.9 1.1 1 0.5 1.1 0.5 1.5 0.2 2 0
              1.9-0.1 1.6-0.4 1.4-0.6 1.4-2.3 3.9-1.4 1.3-0.8 0.3-3.2 0.3-1.1 0.7-0.8 1.7-0.6 2.7-0.1 2.3 0.2 1.5 0.5 1.3 0.8
              0.9 3.4 2.6 4.4 4.7 1.9 0.6 0.8 0.9 0.9 1.5 1.4 3.8 0.6 1.9 0.2 1.4-0.4 1.7-0.1 1.6 0.3 1.2 1.9 3.3 0.3 3.4-0.3
              1.2-0.5 1-3.9 3.1-0.9 1.4-0.2 1 0 2.7-0.7 1.8-1.2 2.1-0.3 2.4-0.2 0.9-1 1.5-1.4 1.3-0.3 1.8 0.3 1.5 0.7 1.1 0.6
              0.5 1.3 0.4 1.3 1.2 1.7 2.9 0.9 0.6 3 0.5 0.8 0.6 1.3 1.4 2.1 1.6 1.3 1.7 1.6 1.7 0.6 1.1 0.2 1.7-0.4 1.5-0.5
              0.9-1.9 2.4-0.5 1 0 3.3-0.5 1.8-0.9 2.2-0.4 1.4-0.1 1.8 0.5 1 0.9 0.8 1.3 0.6 1.4 1.1 1.2 1.5 0.9 2.2 0.5 4.5 0.7
              1.6 1 1.1 1.2 0.6 6.2 0.9 0.8 0.6 0.7 1.1 0.5 2.2 1.1 7.4 1.2 3.5 1.5 2.8 4 4.6 7.4 4.7 1.4 1.3 1.5 2.5 0.6 2.3
              0.9 5 1 8.2 0.3 10.9 0 5.8-0.2 4.8-0.4 4-2.2 14.1-4 17.3z",
              id: "ISL697",
              name: "Norðurland vestra"
            },
            {
              path:
              "M560.1 132l-1.2 0.8-1.1-0.4-0.8-0.8-0.5-1.3-0.2-1.8-0.5-2.7-0.9-3.2 0.5-0.8 1.8 2 1.6 2.7 1.3 2.9 0 2.6z
              m47.6-42.6l-0.1 2.5-0.7-0.1-0.5 1.2-1.6-0.6-1.5 0-0.1-2.1 0.9-0.7 2.4-0.5 1.2 0.3z m290.8 41.6l-4.4 1.1-2.8
              8.3-36.8 4.8-2.3 4.9-3.6 4.1-5.4 4.1-8.1 1.3-1.2 5.1-0.8 1.6-1.2 1.2-4.8 2.9-1.3 1.1-1.4 1.8-0.7 1.4-0.6 3.3-0.7
              0.5-18.8 5.2-1 0.7-0.5 1.4-0.2 1.5-0.2 3.4 0.2 2.6 0.7 1.7 0.4 2.8 0.1 5.8 0.2 2.2 0.6 3.4 0.2 1.7-0.1 1.9-2.1
              7.1-0.6 3.6-0.1 2.6-0.2 1-1 0.2-28-5.8-1.3 0.2-0.8 1-0.5 1.5-0.6 5.3-0.2 1.6-0.9 3.4-1.4 4.2-1.2 2.8-1.1 1.6-1
              0.9-1.6 0.7-1.8 3.5-1.2 1.4-0.8 2.1-0.3 2.5 0 2 0.9 1.9 0.4 0.6 6.9 4.8 1.7 2.3 2.6 4.5 0.4 1.5 0.5 2.6-0.1
              1.4-0.4 1.8-1.2 3.5-0.7 1.7-1 1.2-4.7 3.5-1 1-2.7 5.6-2.5 3.9-1.1 2.9-0.6 3.1-0.1 1.6 0.3 1.9-0.3 3.2 0 1.8 0.2
              2.8 0 4.7-1.2 7.3-0.6 2.9 0.1 1.9 0.3 0.6 1.6 1.3 0 1.2-0.7 1.7-2.3 3.7-1.3 1.5-1.1 0.9-6 1.9-1 0.8-3.9 4.2-4.8
              6.8-1.6 1.3-1.6 0.4-3.7 0.1-1.6 0.4-5.2 2.6-2.3 0.2-0.5 0.7-0.4 1.2-0.6 3.2-0.2 2.7 0.6 2.4-0.2 2-0.7 1.2-1.3
              2-2.4 5.4-0.3 1.7 0.1 1.7 2.2 5.8 0.5 1.7 0.2 1.7 0.9 3.5 0.2 1.9-0.3 3.6-0.5 2.9-1.9 8.3-2.2 7.7-17.2
              35.1-51.2-30.9-45.6-27-25.9-15.1-9-5.5-8.4-8 4-17.3 2.2-14.1 0.4-4 0.2-4.8
              0-5.8-0.3-10.9-1-8.2-0.9-5-0.6-2.3-1.5-2.5-1.4-1.3-7.4-4.7-4-4.6-1.5-2.8-1.2-3.5-1.1-7.4-0.5-2.2-0.7-1.1-0.8-0.6-6.2-0.9-1.2-0.6-1-1.1-0.7-1.6-0.5-4.5-0.9-2.2-1.2-1.5-1.4-1.1-1.3-0.6-0.9-0.8-0.5-1
              0.1-1.8 0.4-1.4 0.9-2.2 0.5-1.8 0-3.3 0.5-1 1.9-2.4 0.5-0.9
              0.4-1.5-0.2-1.7-0.6-1.1-1.6-1.7-1.3-1.7-2.1-1.6-1.3-1.4-0.8-0.6-3-0.5-0.9-0.6-1.7-2.9-1.3-1.2-1.3-0.4-0.6-0.5-0.7-1.1-0.3-1.5
              0.3-1.8 1.4-1.3 1-1.5 0.2-0.9 0.3-2.4 1.2-2.1 0.7-1.8 0-2.7 0.2-1 0.9-1.4 3.9-3.1 0.5-1
              0.3-1.2-0.3-3.4-1.9-3.3-0.3-1.2 0.1-1.6
              0.4-1.7-0.2-1.4-0.6-1.9-1.4-3.8-0.9-1.5-0.8-0.9-1.9-0.6-4.4-4.7-3.4-2.6-0.8-0.9-0.5-1.3-0.2-1.5 0.1-2.3 0.6-2.7
              0.8-1.7 1.1-0.7 3.2-0.3 0.8-0.3 1.4-1.3 2.3-3.9 0.6-1.4 0.4-1.4 0.1-1.6
              0-1.9-0.2-2-0.5-1.5-0.5-1.1-1.1-1-1.5-0.9-0.6-0.9 0.7-1.6 1.2-0.9 0.6-1 0.2-0.7-0.1-3.1 0-1.1 0.8-1.2
              1.6-1.4-0.1-1.8-1.1-2.5-7.5-9.3-1-1.6-3.1-6.5-1.5-4.3-1.4-2.6-4.2-3.9-0.5-0.2 0.9-1.5 3.2-2.8 8-3.1 2.9 1.4-0.6
              7.2 1.7-0.7 1.2-1.9 2.1-4.9-0.7-3 1.6-1.4 2.5 0.5 4.5 2.2-0.7 3.4-1.5 4.9-0.3 3.3 1-0.1 6.5-6.8 2.7 0.6 2.1 2.7
              1.9 2.9 1.7 1.4 0.8 1.6-1 3.5-2.6 5.7 1.2 0.1 1.3-0.3 1.2-0.9 0.9-1.2 1.1-0.9 1.1 1 1.2 1.4 1 0.8 1.4 1.7 0.9 3.9
              0.7 4.5 1 3.5-1.7 6.6-0.7 3.9 0.2 1.8 6.5 1.6 4.2 2.7 6.7 1 0.9 0.7 1 1.8 1.5 3.6 2.1 1.7 0.7 2.2 0.4 2.6 1.3 4.6
              0.7 0.3 1.7-0.2 0.8 0.2 0.6 0.8 0.9 2.7 0.3 1.8-0.2 6.2 0.3 2.5 1.7 3.9 0.5 1.7 0 9.3 0.3 1.4 0.8 0.6 2.6 3.9 4.3
              4.5-0.5 2.9 0.4 4 1.1 3.1 1.5 0.5 1.1-2.7 0-4.1-0.8-3.9-0.9-2.7-0.7-0.8-1.9-1.4-0.5-0.9-0.4-2.5 0.2-1.4 0.8-2.3
              0-2-0.3-3.1 0.3-2.4 0.5-0.8 1.5-1.5 0.5-0.7 0.5-4.1-0.3-3.5-2.7-10.5 0-3.8-0.2-0.8-1.2
              0.3-0.5-0.2-1.8-4-0.7-0.7-0.4-1.2-1 0.3-0.7 2.1-0.3 0.4-1.2-0.8-2.8-3.6-1-1.6
              0.9-3.2-0.4-2.9-1.1-2.3-2.6-1.7-1.8-4.6-1.2-2.1 0-1.6 0.7 0 0-1.6-2.5-6.3-1.1-10.4 0.5-10.4 2.4-6.5 1.2-0.5 8.1
              0.5 1.3 0.8 2.1 1.9 1.3 0.4 3.8-0.4 1.5 0.4-0.3 1.2-0.4 0.4 3.4 2 8.9-2.3 3.8 1.7 0.8 1.8 0.9 4.4 0.8 1.6 1 0.5
              3.7-0.5 1.6 1 2.9 4.2 1.6 0.9 1.3 1.1 3.5 5.6 1.1 2.4 1.5 6.5 1 2.9 2.9 2.2 1.6 2.3 2.3 4.5 3.1 9.2 1.3 2.9
              0.3-4.2-0.7-3.3-1.2-3-0.9-3.2 1.7 0.1 2.1-0.6 2-1.1 1.6-1.5-8.3 0.5-2.2-1.9 14.4-0.2 1.1 1.1 0.6 2.5 1.3 4.1 0.5 0
              0.5-1.6 0.1-1.6-0.3-1.6-0.8-1.3 0-1.4 1.1-1 1.1-1.6 0.5-2.3-0.3-2.9 1.5-1.7 0.6-1.1 0.4-1.7 0.1-1.2-0.2-3.5
              0.1-2.9 1.1-3 2.3-3 2.7-2.2 2.3-0.9 0.9-1.2 0.6-2.6 0-2.7-0.3-1.2-1-0.6 0.4-1.6 1.9-3.2 2.4-2.6 5.6-2.1 0.9-3.9
              2.4 2.3 9.1 0.9 2.4 1.7 1.8 4 3.5 9.6-0.1 1.2 0.1 2-1.2 0 0 1.5 1 1 1.2 0.5 1.1-0.3 1.1-1.2-0.6-0.2-1.4-1.3
              3.3-2.5 11.4-3.2 1.8 1-1.4 0.5-1.4 1-1.3 1.7 1.2 0.8 1.6 3.2 0.7-0.3 1.8-4.5 1.1-1.8 1.1-0.5 2.5 2.5 1.9 4 2 3.3
              2.9 0.8 0-1.4-2.9-2.2-1.4-1.6-1-1.6-0.7-2.9 0-2.2-0.4-1.8-1.6-1.6 4.1-3 6.1-2.1 3.8-2.4 2.1 0-8 4.7-2.5 2.8
              7.9-3.2 1.9 0.1 2.2 2 3.5 5.4 2.4 0.4 0-1.7-3.2-3.3-1.6-2.5-0.7-2.5 0.3-3.4 1-2.9 1.3-2.2 1.6-1.5-0.1-1.4 0.3-1
              0.8-1.8 0.6-2.2 0.3-2.1-0.2-3.4-0.7-1.9-0.8-1.5-1.5-3.4-0.9-1.3-0.6-0.1-0.5-0.9-0.2-3.9-0.2-1.3-2.5-2-0.6-1.8
              0.7-4-1.3 0 1.3-3.2-0.7-0.7-0.4-0.9-0.9-2.9 2 0 0-1.6-1.6-2.2-1.7-7.2-2.6-3 0.8-3.1 1.9-2.8 1.9-0.4 0.5 1.4 0.1
              1.7 0.3 1.4 1 0.3 0.6-3.2 0.7-2.1 1.1-1 2.6-1.1 1.5 0.1 0 1.8-0.5 2.5 0.3 2.1 0.8 1.6 1 0.7-0.4-3.2-0.3-1.3
              1.4-0.5 2.7-2.3 0.8-0.4 1.4 1.2 1 1.7 1 1.4 1.6 0.3-1.3 1.4-0.5 0.3 1.5 1.4 1.7-0.3 2.3-1.1 0-1.7 1-1.6 0.9-2.2
              1.1-1.4 0.8 3.2 1 0.4 1-1.3 0.8-4.3 0.7-1.1 2-1 2.5 0 5.2 2.3 1-0.6 4.2-1.8 7.6 7.7 4.3 1.7-1.2 2.1-1.4 0.9-1.2
              1.4-0.5 3.5 1.2 0 0 1.4-1.8 1.7 0.4 0.6 1.4 2.5-1.1 2 1.3 0.4 3.2-0.9 3.7 0.9 1.5-0.9-0.5 4.7 8.6 0 1.7 0.6 1.4
              1.6 0.9 2-0.2 3.5 1.8 6.2-3.8 7.1-2.1 2.9-2.8 2.3 1.3 3.2 1.1-1.3 1.1 0.7 1.2 1.4 3 1.3 0.3 1.6-0.4 2.4-0.7 3.1
              1.4 1.2 6.6 0.3 3.2-1.5 1.1 0.3 1.3 2.6 1-0.4 0.8-1 0.2 2.4 0.6 2 0.9 1.4 2.6 1.2 2.7 3 2.9 2.4 1.7 3 1.8 2
              2.2-2-0.8-0.3-0.5-1.3 1.6-1.2 1.1-2.5 0.8-3.5 0.2-4.4-0.3-4.5-0.4-3.2 0.6-2.2 2.6-1.5 11.1 0 6.4-2.3 0.5-1.7
              0.1-2.1 0.5-1.7 6.4-4.2 1-2.7 0.6-3.5 1.5-2.7 3.6-3.7 2.4-1.8 7.7-1.4 2.2 0.6 3.4 3 2.2 1 17.2-3-4.3 4.8-16
              7.4-7.2 5.6-8.3 2.1-2.8 2.4-2.2 3.9 2.2 0.8 1.1 1.2 0.5 1.8 0.4 0.4 2 4 1 2.2-0.4 2.7-1.1 3.7-0.8 1.7-8.6 8.5-1.6
              0.7-5.5 0.4-2.4 2.1-1.7 5 2.8 2.2 1.4 0.6 5.3 0.4 1.2 1.7 0.5 4.2-1 0.7-1.6 1.8-1.1 0.7 1.9 1.5 10.2 0.3 5.8 2.8
              4.1-0.4 7.5-6.8 4.6-0.6 2 1.1 1.8 2.1 1.3 3.4 0.5 5 0.5 2.6 1.3 0.9 1.3 0.3 0.6 0.8 0.2 2.6z m-304.4-124.3l-1.7
              1.3-1.6-2.6-0.2-3.8 1-0.6 2.2 3.1 0.7 0.5-0.4 2.1z",
              id: "ISL702",
              name: "Norðurland eystra"
            },
            {
              path:
              "M219.4 547.3l8 8.7 9.6-0.5 11.7-0.7 13.4 1.5-21.9 24.8-1.6 2.7-1.8 3.8-2.5 0.9-3.7 0.2-1.2-0.1-4.7
              1.5-24.5-5.6-1.9 1.4-1.6 2.5-1.7 1.7-1.9-1.4 1.3-1.4-2.2 0-3.4 2.2-2.9 1-1.7 1.7-1 0.7-1 0.2-8.7-1-2 0.8-1.5
              2.3-0.7 0.4-1.1-0.6-1.4-2.7-1-0.7 0.6-2.1 1.2-2.7 0.1-2.3-0.3-2.2-0.8-1-1-0.9-1-1.6 1.4-2.1 1.8-7.5 0.8-1.7 4 0
              0.6-0.7-0.3-2.1-1 0-2 1.4-1.8-0.4-1.9-1.5-1.5-2.6-0.7-3.9 1.4-4 0.4-1.7 0.1-2.3-0.2-7.9 0.5-1.8 1-1.4 1.1-0.8 1.3
              0.5 2.8 3.1 3.1 2.2 2.5 3.7 2.2 5 1.2 5.4-1.3 0 1.5 2.2 2.2 0.7 8.8 0.4 2.2-0.5 1.4-1.4-1-1.5 0.5-1.7 1.3-1.5
              1.1-1 1.3-0.6 4.3-0.8 3.3-2.5 1-0.4 1.1 0.4 2.4 2.1 1.2 0.4 2.3-0.8 4.4-3.9z",
              id: "ISL704",
              name: "Suðurnes"
            },
            {
              path:
              "M357 700l-1.3-0.3-0.4-0.8 0.9-2 1.3 0 0.1 2.3-0.6 0.8z m30.1-23l-0.9 1.3-0.6-0.7-0.5-1.8-0.5-1.6-0.7-2.3 0.3-2.3
              1.8-0.9 2.1-0.2-0.3 1.4 0.4 0.7 0.5 2.3-0.7 2.2-0.9 1.9z m228.5-59.7l-0.6 2.3-0.9 0.3-0.1-1.1-0.7-0.6-1 0.1-4 1.4
              0.3-1.7 2.7-2.8 1.6-1 0.6-0.2 1.3 0.3 0.7 1.3 0.1 1.7z m78.3-159.2l-42 90.1-3.3 12.6-0.5 4.1-0.4 35.8 0.2 2.3-7.4
              2.5-8.4 2.1 1-1.5 0.5-1.8 0-2.2-0.5-2.1-0.7 3-1.1 1.9-1.3 0.6-1.3-1.4 0.3 2.1 0.4 0.7 0 1.5-11.8 8.4 0.9-4.5
              2.3-2.5 2.9-1.1 2.6-0.3 0-1.5-6-3.1-2.1-2.5-0.5 2.8 0.5 2.8-2.4 1.6-2.2-0.4-2.3-1.1-2.4-0.1 1.8 1.5 0 1.3-2.2
              0-1.1 0.4-0.9 1.1-1.5-0.8-1.6 1.2-1.4 2.3-0.5 2.2-0.5 3.6-1.2 2.5-1.6 0.7-1.7-1.9-1.2 1.7-0.4 1.8 0.4 1.5 1.5 0.6
              1.2-0.5 1.8-1.9 1.3-0.4 7.2 0.8 2.4-0.8-3.9 7.6-2.3 2.1-2.4-1.4 0.6-1.2-3.7 0 0.1 1.9-2.5-0.3-0.2 1 0.8 0.6 0.3
              1.4-0.3 2.3 6.7-0.4 1.3-1.1-2.3 6.9-3.2 6.3-4.2 4.6-9.2 4.2-6 4.5-5.6 1.4-3-4.2 1.2-1.5 2.5-0.9 1-1.1 1.2-2.2
              1.1-1 2.9-0.2 0-1.4-2.6-0.1-4.8 1.6-2.5-0.1-6.1-3.9-1.9-0.4 0.6 1.5-0.7 0.3-0.6 1.1 0.9 1.2 1.9 3.5 1.5 2 0.5 2.9
              0.2 2.8 0.3 1.3 3.8 0.3 2.1 0 1.6 0.3-19.4 2.9-11.2 5.4-19 5.2-4.6-0.1-17.4-5.4-7.3 2-1.6-0.9
              0.8-1.1-3.2-0.8-1.6-0.9-1.3-1.2-1.9 2.6-12.1-2.6-1.2-0.6-4.7-3.6-7.4-1.5-10.6-7.2-14.5-3.9-2.9-2.6 1.3-0.2 0.6-0.8
              0-1-1.2-0.9-1.1-0.1-1.5 1.3-1.1 0.3-8.7-1.5 0.3 1 9 1.9-23.8-1.7-1.6-2.5-1.2 1.3-0.4-0.9-0.9-0.4 0.6 2.8-6.9
              0.2-3.4-0.9-13.7-11.6 1.4 0 1.4-0.4 1.4-1.3-1.1-0.2-2.1-1-1.1-0.2 0.6-4-1.7 2.4-1.5 1-1.6-0.4-2-1.8 0-1.2 3.1
              1.2-1.2-3.1-1.7-1.8-1.8-1.4-1.6-2-1.4-3.5-0.8-2.4-1.1-1.3-2.2 0.2 0 1.3 3.1 4.5 1.9 3.4 1.2
              3.3-6-5.5-2.8-3.6-1.7-4.8 1.2-1.5-0.6-1-1.3-3.2 2.6-2.9 2.8-1.7 6.1-1 2.9 1.4 5 5.3 3
              0.4-1.5-1.9-2.2-3.9-1.3-1.3-6.9-4.1 2.8-5.1 0.4-2-0.4-2.9-1-0.7-0.8 0.7 0.3 1.6 0 1.3-1.1 2-3.9 5.1-2.5 3-1.7
              1.8-2.2 0.7-0.7 0.8-0.1 2 0 2.3-0.2 2-0.7 2-0.4 0.4-4.1-2.3-4-3.5-3-1.4-6.4-5.1 5.9 0 1.1 0.6 2.2 2.1 1.3 0.1
              0.2-1.2 1.2-0.3 3 0.1 0-1.4-2.5 0 0-1.4 1.3 0 0-1.3-6.4 1.7-2.3-0.4 0-1.3 3.1-4 0.9-6.2-1.3-5.3-3.4-1.3 0 1.3 2.6
              1.1-0.3 2.8-1.7 3.3-3.4 4.6-2.2 1.7-2.4 0.6-2.5-1.5 1.3 4.2-3.6-3.9-8.2-5.5-11.5-4.4-4-2.8-2.2-1.1-2.1-1.6-1.9-3.2
              0.5-1.6-0.1-2.1-0.9-4.8 7 0.5 3.9-0.9 2.6-2.4-6.8 0-4.3-2.4-1.5-0.4-4.7 1.3-1 0.8-0.8 1.3-2.8 3.1-1 0.7 0 1.3 4.6
              2 2.3 2 1.2 3.1-1.9-1-4.1-0.7-4.2 0.5-2.5 1.1-1.5 2.1 1.2 3.6-0.4 0.1-0.9 1.3-26.5
              3.6-3.2-2.2-3-3.2-2.8-2.1-3-0.4-12.6 4.6 1.8-3.8 1.6-2.7 21.9-24.8 3.5 0.2 0.7-0.6 0.6-3.3 0.5-1.2 2.2-2.5 2.1-3.3
              3.8-7.3 7.8-15.7 0.8-2.3 0.7-2.9-1.2-5.2-0.3-1.4 0.1-1.4 0.3-1.3 1.3-3.3 1-1.9 21.6-22.2 6.4-8.3 13.4-12.6
              10.5-12.6 2.2-1.6 14.6-5.3 28.4-18.4 24.3-11.5 2.6-2.6 1.4-2 0.8-2.2 0.2-1.7-0.1-2.5-0.2-3.2 0.1-2.7 1.4-5 23.2
              10.4 2.2 0.5 2.6-0.2 23.7-7.2 22.6 0.1 25.7-11.5 40.2-9 8.4 8 9 5.5 25.9 15.1 45.6 27 51.2 30.9z",
              id: "ISL705",
              name: "Suðurland"
            },
            {
              path:
              "M307.6 480.7l-21.6 22.2-1 1.9-1.3 3.3-0.3 1.3-0.1 1.4 0.3 1.4 1.2 5.2-0.7 2.9-0.8 2.3-7.8 15.7-3.8 7.3-2.1
              3.3-2.2 2.5-0.5 1.2-0.6 3.3-0.7 0.6-3.5-0.2-13.4-1.5-11.7 0.7 8.4-8.9 16.4-7.1 4.5-21.7-0.9-14.8-10.9-3.8-12.6 0.4
              3.8-2.8 2.8-3.1 1.9-3.5 1.6-4.3 0.9-1.3 1.5-0.9 2-0.5 4 0.6-0.1-0.8-0.8-0.7-0.7 0 3.6-3.1 2-1 2.2-0.4 12.4 3.4
              2.1-0.5 1.5-2.5 5.7-1.9 8.4-0.4 3.6-2.3 1.1-0.2 4.1 0.7 0.8 0.5 1.3 1 0.5 1.5-0.2 0.8-0.3 2.8z",
              id: "ISL709",
              name: "Höfuðborgarsvæði"
            },
            {
              path:
              "M200.2 445.6l0.6 0.3-0.6 1.4-1.3 0.5-1 1.5-0.4-0.6-0.1-1.6-0.4-0.5 0.6-1 0.9-1 1.4 0 0.3 1z m-7.6-44.2l1.4 1.7
              1.4-0.5 0.4 0.1 0.1 1.4-0.6 0.3-1-0.3-1.2-0.8-1.5-1.8-1.7-2.5-0.8-1.1-0.4-2.2 3.9 5.7z m-1.4-73l0.1 1-5.4
              1-1-0.3-1.2 1.7-0.2-0.4 0.4-1.4 0-1.4 1 0.5 4-1.4 2.3 0.7z m-13.8-8.5l0.4 0.4-0.2 2.2-2 1.3-0.6-0.4
              1.3-0.7-1.5-2.6 0.7-0.1 1-1.1 0.9 1z m-11.5-1l1.3 0.7-1.1 0.3-0.2-1z m16.2-2.1l-0.2 0.9-1 1.4-0.9 0.1-0.1 0.8-0.6
              0.1-1-1.3 0-1.3 1.1 0.7 0.9-0.5 1.8-0.9z m-10.8-2.7l-2.2 1.5 0-1.3 0.9-1.1 0.1-0.5 1.2 0.1 0 1.3z m1.6-2.7l-1.9
              0.5-0.3-0.8 0.9-1.7 3.3-2.8 0.7 0.3-0.1 0.6-1.2 0.4-0.4 0.7-1.3 1.1-0.2 0.6 0.5 1.1z m149.6 40.7l0.8 2.2 7.8 5.2
              1.3 0.4 7.5 0.6 1 0.4 3.4 3.5 1.5 0.2 29-8.8 1.3 0.1 4.3 2.3 21.6 0.5 26.7 1.2 0.8 0.4 0.7 2.1 0 2.9-0.6 1.9-0.8
              1.5-10.4 11.4-4.8 8.4-1.4 5-0.1 2.7 0.2 3.2 0.1 2.5-0.2 1.7-0.8 2.2-1.4 2-2.6 2.6-24.3 11.5-28.4 18.4-14.6 5.3-2.2
              1.6-10.5 12.6-13.4 12.6-6.4 8.3 0.3-2.8 0.2-0.8-0.5-1.5-1.3-1-0.8-0.5-4.1-0.7-1.1 0.2-3.6 2.3-8.4 0.4-5.7 1.9
              1-1.7-4 2.4-2.2-1.1 0-1.3 1.6-0.2 1.4-1.2 0-1.4-16.4-1.1-7.7 1.9-6.8 6.2-1.1 3.3-0.8 1.1-0.8 0.6-1.7 0.6-0.9
              0.1-1.4 0.6-4.1 3-1.3 1.6-3.4 3-4.2-0.5-8.2-3.1 0-1.6 3.8-2.3 3.6-3.4 3-4.3 2-1.2 1.9 1.2 1.7-1.8 4-1.3
              1.8-1.2-8.1-0.9-2.5 0.9-1.7 1.2-1.5 0.5-1.3-1.1-1.7-3.6 1.2-1.9 0.2-2.6 0-2.9 0.7-3.3 0.6-0.2 0.8 0.6 0.6 0.1
              0.4-3.7 0.5-1.6 1.2-3 0.1-2.2 2.3-2.1 10.2-5.3 5.4-0.5-0.5-1.9-0.8-1.1-1.2-0.3-1.2 0.3 0-1.4 1.6-1.5 3.5-4.8 3-1.4
              1.5-1.8 0.8-0.7 1.3-0.2 3.7 0.2-0.3 3.8 1.8 0.6 2.3 0.1 1.2 2.1 1.2 1.6 7.5 0.5-1.5-1.2-3.2
              0.3-1.5-0.4-1.4-1.5-1.9-3.2-1.7-1.1 3.7-1.6 0-1.3-9.3 0 0-1.6 5.2-3.2 1.6-1.7 1.5-0.4 7.2 1.2 0-1.6-7-1.5-2.3
              0-5.8 5.5-2.3 0.3 0-1.4 2.4-2.3 0.9-1.6 0.5-2-3.6 3.9-1 0.7-0.9 1.1-0.6 4.8-1.1 1.1-0.9 0.6-3.7 3.8-4.7 1.8-1.4
              1.2 0.5 2.8-2.7-0.9-2.5 0.7-5.3 4.6-2.1 2.6-1.4 0.8-1.5-0.6-1-2 0.2-2.1 1.4-4.6-1.8 0.6-0.9 2.3-0.3 3.3 0 3.2-0.3
              1-2.2 4.1-0.4 1.9-0.1 2.7-0.8 1.2-3.2 0-0.8 1.5-0.8 0.7-1.6 0.6-1.5-0.7-1.6-1.9-1.4-2.7-0.8-3.3-1.5 2-1.6 0.8
              1.3-2.6 1.1-3.3 0.3-3.2-0.9-2.3 1.3-1.5-1.5-1.3-1.6-0.2 1.3-2.9 0-1.3-4.2 3.1-2.6 1.2-1.9-0.1-1.7-2.6-0.6-3.5
              0.3-3.3 1.3-2.2 0-1.3-1.6-0.3-1.1-1.5-1.3-2.6-1.2-0.6-1.3-1.6-1.2-1.9-0.9-1.8 2.2 1 2.4 2.4 2.4 1.4 2.3-1.8-1.9 0
              0.5-2.4 0.9-1.6 1-1 1.3-0.8-1.3-1.4 0-1.5 10.5-5.3 2.6-3.4 0-1.4-5.6 4.9-3 1.6-2.9 0.6-2.5 1.6-2.7 3-2.6
              1.8-1.8-1.9 1.2-0.9 2.5-3.6 1.8-1.9 1.1-1.6 0.9-2.2-0.7-1.4 0.8-0.4 1.7-2.5-2.1-2.4-2.7-0.8-5.8 0.3 1.3-2.9-1.8 0
              0.6-2.2 1.7-4.1 0.7-2.5-0.9 0.2-0.8 0.9-0.7 1.4-0.6 1.8-0.6-2-0.8-0.8-0.8 0.3-0.9 1.1 0 1.4-5-1.4-1.4 0.7-2.7
              3-1.5 0.6 0 1.6 0.7 0.2 1.8 1.2-8.3 1.7-2.2-1.7 2.1 0.4 1.1-0.2 0.8-0.9-0.3-1.2-0.9-1.7-1.1-1.6-0.8-0.7-9.6 0 1.4
              1.6 4.8 2.9 0 1.4-2.5 0-4.2-3.8-2-0.5-11.3-1.1-10.8 0-12.5-0.9-5.2-5.6-5-0.3-8.8 2 0 0.6-1.6 2.8-1.6 1.8-1 0.7-1.1
              0.3-10.5-3.3 1-0.9 1-0.6-0.4-0.8-3.4 1.9-2.7 3.5-0.4 4.2-1.7 5-2.5 2.1-6.7 0.2-1.9 0.5-4 2.3-1.8
              0.2-6.6-3.8-1.4-2-1.3-0.6-0.9-1-0.4-3.6-0.5-1.9-3.9-6.2-1.6-3.3-1.4-3.6-2.5-9.1 0.6-1.6 1.8 1.9 1.7-0.8 3.4-4
              1.7-1.1 9.8-2.8 1.9 0.2 7.3 4.8 10 1.8 0.8-0.5 1.7-2.7 0.8-1 3.8 0.2 0.9-0.9 3.3-5.3 3.7-1.3 8.2 1.5
              0-1.6-0.5-0.6-0.8-2.4 3.8-0.2 1.2 1.1-0.6 3.7 1.2 0.9 0.7-1.2 0.8-1.4 1 0.1 0.3 2 0 3 0.5 1.6 1.6-2.2 1.5 1.3
              1.6-0.8 1.3-2 0.6-2.1-0.4-2.2-0.6-2.8-0.5-3.1 0.3-3 2.4-3.4 3.8-0.7 7.4 1.2-0.7 2.5-1.1 1.6-2.6 1.9 0.7 2.9-1.1
              0.3-0.7 0.8-1.4 3.2 5 7.4-0.5-3.2-0.1-2.7 0.4-2.3 0.9-2.2 0.6-0.4 1.7-0.4 0.7-0.5 0.6-1.2 0.6-2.7 0.4-1.3 2.5-3.3
              2.6-0.3 2.4 2.1 2.1 3.8 1.4-2.2 1.9-1.4 5.6-1.4 5.4-3.8-1.5-0.9-6.6 0.9 0-1.6 3.8-0.8 6.8-7.1 3.6-0.9-1.2 1.5 1.6
              0.5 1.5 1-0.1 1.9 0.1 0.9-1.2 1.8-2.8 1.6-0.9 1.2 1.1 0.4 1.6-0.1 1.5-0.7 1.3-1.2 0.6 4.2 0.8 1.7 3 1.4 4 3.8 1.5
              0.6 0-1.3-1.1-0.7-1-1.3-2.2-4 2.4-3.3 1.4-1 1.8-0.1 0.2-2.8 1.6-0.8 7.6 0.3 7.4-1.8 12.2 2.5 8.1 4.2 1-0.5 1.3-2
              0.9-0.5 6.8 0 1.8 0.8 1.9 1.5 1.9 0.7 1.8-1.6 2.3 1.6 10.1-1.6 2.4-2 0.1-2.7-1.6-2.1-2.8-0.5 0.9-2.8 1.1-1 1.3-0.5
              1.7-1.6 1.1-2.4 3.8-11 0.3-7.5-2.9-3.1-3.9 0.4-2.8 2.9 0 1.5 0.7 0 0 1.6-13.7 11.8-4.5
              1.9-25.8-5.1-6.5-5.3-0.9-0.5-1.8 1.1-8.2 1.3-2.4-1-1.8-2.1 1.4-1 2.7-0.8 2-1.9 0.7 1.1 0.7 0.5 1.7 0
              0-1.6-2-1.5-2.3-0.2-4.4 1.7 0.9-3.2 1.7-3.1 3-4 4.2-2 1.6-1.9-0.2-3.5 1.3-0.6 3.3 0.6 0.8-0.8 2.7-5.2 2.4-1.9
              10.1-2.9 8.5-6.6 3.3-4.2 5.7-3 2.1-2.3-0.6-0.4 0.1-0.9 1.3 0.1 2.2 2.5 1.4 0.2-0.8-3.4-0.4-1.1 5.6-3.3 11.7-3.7
              5.6-3.4 1.6-1.4 2.2-5.6 1.1-1.8 2.4-1.7 1 2.9 0.1 6.5-0.3 2.5-0.5 3.4 0.3 2.2-0.2 0.9-0.7 0.9-2.2 2-1 1.8-0.3 1.5
              0.2 1.3 0.6 1.2 2.7 3.3 7.8-2.2 3.3 0 1 0.6 0.7 1.3 1.6 4.8 5.3 10.9 2.5 3.2 0.7 1.6 0.6 0.8 2.1 1.3 4.7 5.8 0.6
              1.5 0.8 3 1.7 5.7 0.2 1.7-0.1 1.5-0.6 1.6-2.3 4.8-0.6 2-0.3 2.5 0.3 3.6 1.4 4.9 0.6 2 0.6 1.1 1.6 1.5 0.9 1 1.6
              2.8 1.6 1.7 0.4 1.7-0.1 2.2 7 6.2 2.7 1.6 3 1.1 6 0.2z",
              id: "ISL710",
              name: "Vesturland"
            }
          ]
        };
  
        
        
    

Data from API

        
            
        <template>
          <section>
            <mdb-vector-map :legend="legend" stroke="black" hover-fill="white" select-fill="rgba(0, 0, 0, 0.3)"
              fill="white" :strokeWidth="0.4" :options="mapOptions" @select="selected = $event" />
            <div class="country-preview" v-if="selected" v-html="mapOptions[selected].tooltip"></div>
          </section>
        </template>
        
        
    
        
            
        <script>
          import mdbVectorMap from "mdb-vector-map";
          import axios from "axios";
          export default {
            components: {
              mdbVectorMap
            },
            data() {
              return {
                selected: null,
                mapOptions: {},
                legend: {
                  title: "Population density",
                  colorCode: [{
                      color: "#e8f5e9",
                      text: "< 20"
                    },
                    {
                      color: "#c8e6c9",
                      text: "< 50"
                    },
                    {
                      color: "#a5d6a7",
                      text: "< 100"
                    },
                    {
                      color: "#81c784",
                      text: "< 200"
                    },
                    {
                      color: "#66bb6a",
                      text: "< 300"
                    },
                    {
                      color: "#43a047",
                      text: "< 1000"
                    },
                    {
                      color: "#43a047",
                      text: "> 1000"
                    }
                  ]
                }
              }
            },
            mounted() {
              axios.get("https://restcountries.eu/rest/v2/all").then(response => {
                let countries = response.data;
                countries.forEach(country => {
                  let tooltip = `
                          <img src="${country.flag}" style="width: 30px;"/>
                          <br/>
                          <strong>${country.name} <br/></strong>
                          Capital: ${country.capital} <br/>
                          Population: ${country.population}`;
                  let density = country.population / country.area;
                  let color =
                    density < 20 ?
                    "#e8f5e9" :
                    density < 50 ?
                    "#c8e6c9" :
                    density < 100 ?
                    "#a5d6a7" :
                    density < 200 ?
                    "#81c784" :
                    density < 300 ?
                    "#66bb6a" :
                    density < 1000 ?
                    "#43a047" :
                    "#43a047";
                  this.mapOptions[country.alpha2Code] = {
                    fill: color,
                    tooltip
                  };
                });
              });
            }
          }
        </script>
        
        
    
        
            
        <style scoped>
          .country-preview {
            line-height: 1.5;
            padding: 10px;
            background-color: rgba(0, 0, 0, 0.3);
          }
        </style>
        
        
    

Vue Vector Map - API

In this section you will find advanced information about the Rating plugin. You will learn what are the possibilities of configuring the component, and what events and methods you can use while working with it.


Download

This plugin requires a purchase.

Buy Vue Vector Map plugin

API Reference: Properties

Name Type Default Description Example
map String, Array 'world' Loads the chosen map into the plugin <mdb-vector-map map="europe"/>
selectable Boolean true Enables/disables selecting region <mdb-vector-map :selectable="false"/>
width String Sets the width property of the svg element <mdb-vector-map width="..."/>
height String Sets the height property of the svg element <mdb-vector-map height="..."/>
viewBox String Sets the viewBox property of the svg element <mdb-vector-map view-box="..."/>
options Object Allows to set custom tooltips and fills for selected regions <mdb-vector-map :options="options"/>
preselected String ID of an element which is to be selected after component renders. <mdb-vector-map preselected="PL" />
hoverable Boolean true Enable hovering effect <mdb-vector-map :hoverable="false" />
tooltip Boolean true Enables/disables tooltips <mdb-vector-map :tooltip="false" />
fill String #90caf9 Changes the map's main fill colour <mdb-vector-map fill="..." />
selectFill String #2196f3 Changes the selected region's fill colour <mdb-vector-map selectFill="..." />
hoverFill String #2196f3 Changes the region's fill colour on hover <mdb-vector-map hoverFill="..." />
stroke String #fff Changes the stroke's colour <mdb-vector-map stroke="..." />
opacity Number 1 Changes the map's opacity <mdb-vector-map :opacity="0.5" />
background-color String transparent Changes the background colour <mdb-vector-map background-color="..." />
strokeOpacity Number 1 Changes the stroke's opacity <mdb-vector-map :stroke-opacity="0.5" />
fillOpacity Number 1 Changes the fill opacity <mdb-vector-map :fill-opacity="0.5" />
strokeWidth Number 1.5 Sets the stroke's width <mdb-vector-map :stroke-width="0.5" />
strokeLinejoin String 'round' Sets the stroke's line join <mdb-vector-map :stroke-linejoin="..." />
interactive Boolean true Enables/disables zooming and dragging <mdb-vector-map :interactive="false" />
legend Object Sets the legend in the right bottom corner <mdb-vector-map :legend="legend" />

Options structure

Property options takes as an argument an Object - keys should correspond to IDs of regions - in the default maps, those ID's are country codes (Alpha 2 standard). For each country you can customize default fill and tooltip's content.

        
            
      <script>
        const options = {
          PL: {
            tooltip: "<div>Custom tooltip</div>",
            fill: "red"
          }
        };
      </script>
      
        
    

Legend structure

The property legend takes as an argument an Object with 2 keys - title(string) and colorCode (array)

        
            
      <script>
        const legend = {
          title: "My legend",
          colorCode: [{
              color: "red",
              text: "danger"
            },
            {
              color: "yellow",
              text: "warning"
            }
          ]
        };
      </script>
      
        
    

API Reference: Events and directives

Name Description Example
@select Emits the ID of the selected region <mdb-vector-map @select="selected = $event"/>